Name:       perl-rpm-build-perl 
Version:    0.80
Release:    3%{?dist}
# README: GPLv2+
# perl.prov: LGPLv2+
License:    GPLv2+
Group:      Development/Libraries
Summary:    Perl compiler back-end to extract Perl dependencies 
Url:        http://search.cpan.org/dist/rpm-build-perl
Source:     http://search.cpan.org/CPAN/authors/id/A/AT/ATOURBIN/rpm-build-perl-%{version}.tar.gz 
# Adapt to perl 5.16, CPAN RT #77778
Patch0:     rpm-build-perl-0.80-Adapt-to-perl-5.16.0.patch
BuildArch:  noarch
BuildRequires:  perl(ExtUtils::MakeMaker) 
# Run-time
BuildRequires:  perl(B)
BuildRequires:  perl(Carp)
BuildRequires:  perl(constant)
BuildRequires:  perl(Encode)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(File::Spec::Functions)
BuildRequires:  perl(version)
# Tests
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Try::Tiny)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(Carp)
Requires:       perl(Encode)
Requires:       perl(version)

# Do not export private modules
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(fake\\)

%description
B::PerlReq is a back-end module for the Perl compiler that extracts
dependencies from Perl source code, based on the internal compiled
structure that Perl itself creates after parsing a program. The output of
B::PerlReq is suitable for automatic dependency tracking (e.g. for RPM
packaging).

%package scripts
Summary:    Perl RPM prov/req scripts
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}

%description scripts
The provides/requires scripts packaged along with perl-rpm-build-perl.

%prep
%setup -q -n rpm-build-perl-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc README* Changes perl5-alt-rpm-macros macros.env
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%files scripts
%{_bindir}/*
%{_mandir}/man1/*.1*

%changelog
* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.80-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 11 2012 Petr Pisar <ppisar@redhat.com> - 0.80-2
- Perl 5.16 rebuild
- Specify all dependencies
- Adapt tests to perl 5.16 (RT #77778)

* Fri Jan 27 2012 Petr Pisar <ppisar@redhat.com> - 0.80-1
- 0.80 bump

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.74-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jun 17 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.74-1
- update to 0.74, clean spec, fix tests for 5.14.1

* Fri Jun 17 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.72-4
- Perl mass rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.72-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.72-2
- 661697 rebuild for fixing problems with vendorach/lib

* Thu May 06 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.72-1
- Mass rebuild with perl-5.12.0 & update

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.6.8-4
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Nov 19 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.6.8-1
- update for submission
- split scripts off into their own package

* Tue Nov 18 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.6.8-0.1
- initial RPM packaging
- generated with cpan2dist (CPANPLUS::Dist::RPM version 0.0.5)
